%define anolis_release 3
# Use File::Slurper for reading file content
%bcond_with perl_Config_AutoConf_enables_File_Slurper
# Use Scalar::Util for detecting numbers
%bcond_without perl_Config_AutoConf_enables_Scalar_Util

Name:           perl-Config-AutoConf
Version:        0.320
Release:        %{anolis_release}%{?dist}
Summary:        A module to implement some of AutoConf macros in pure Perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Config-AutoConf
Source0:        https://cpan.metacpan.org/authors/id/A/AM/AMBS/Config-AutoConf-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(base)
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
%if %{with perl_Config_AutoConf_enables_File_Slurper}
BuildRequires:  perl(File::Slurper)
%endif
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
%if %{with perl_Config_AutoConf_enables_Scalar_Util}
BuildRequires:  perl(Scalar::Util) >= 1.18
%endif
BuildRequires:  perl(Text::ParseWords)
# Tests only
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::CBuilder)
# Unused BuildRequires:  perl(IO::String)
BuildRequires:  perl(Test::More)
%if %{with perl_Config_AutoConf_enables_File_Slurper}
Suggests:       perl(File::Slurper)
%endif
%if %{with perl_Config_AutoConf_enables_Scalar_Util}
Suggests:       perl(Scalar::Util) >= 1.18
%endif

%description
This module simulates some of the tasks autoconf macros do.  To detect
a command, a library and similar.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Config-AutoConf-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
%{make_build} test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README.md

%changelog
* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.320-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.320-2
- rebuild with perl 5.36.0

* Tue Jan 17 2023 Funda Wang <fundawang@yeah.net> - 0.320-1
- Import package for anolis 23
